#!/ffp/bin/sh

# PROVIDE: kickwebs_dns320
# REQUIRE: LOGIN
# BEFORE: lighttpd

. /ffp/etc/ffp.subr
name="kickwebs_dns320"
start_cmd="kickwebs_dns320_start"
stop_cmd="kickwebs_dns320_stop"

kickwebs_dns320_start()
{
        echo "Kicking webserver lighttpd ..."
        sh /ffp/start/lighttpd.sh stop
}

kickwebs_dns320_stop()
{
        echo "Starting internal Webserver ..."
        sh /ffp/start/lighttpd.sh stop
        /usr/sbin/lighttpd-angel -D -m /usr/local/lib -f /etc/lighttpd/lighttpd.conf
}

run_rc_command "$1"